from fastapi import APIRouter, Depends, HTTPException, status
from sqlalchemy.orm import Session
from core.database import get_db
from schemas.user import UserSchema, UserLogin
from helpers.user_helpers import authenticate_user

router = APIRouter()

@router.post("/login", status_code=status.HTTP_200_OK, response_model=UserSchema)
async def login(
    user_data: UserLogin,
    db: Session = Depends(get_db)
):
    user = authenticate_user(db, user_data)
    if not user:
        raise HTTPException(status_code=status.HTTP_401_UNAUTHORIZED, detail="Invalid username or password")
    return user